Update listing
curl --request PATCH \
--url https://api.quentli.com/v1/listings/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"id": "<string>",
"data": {
"name": "<string>",
"url": "<string>",
"description": "<string>",
"private": true,
"active": true,
"items": [
{
"conceptId": "<string>",
"quantity": 123,
"id": "<string>"
}
],
"form": {
"fields": [
{
"text": "<string>",
"name": "<string>",
"order": 1,
"required": true,
"id": "<string>",
"options": [
{
"displayText": "<string>",
"value": "<string>",
"order": 123,
"id": "<string>"
}
]
}
],
"id": "<string>"
},
"recurrentDetail": {
"chargeEach": 123,
"toleranceDays": 123
},
"onlyAutomaticCollection": true,
"templateId": "<string>"
}
}
}
'import requests
url = "https://api.quentli.com/v1/listings/{id}"
payload = { "input": {
"id": "<string>",
"data": {
"name": "<string>",
"url": "<string>",
"description": "<string>",
"private": True,
"active": True,
"items": [
{
"conceptId": "<string>",
"quantity": 123,
"id": "<string>"
}
],
"form": {
"fields": [
{
"text": "<string>",
"name": "<string>",
"order": 1,
"required": True,
"id": "<string>",
"options": [
{
"displayText": "<string>",
"value": "<string>",
"order": 123,
"id": "<string>"
}
]
}
],
"id": "<string>"
},
"recurrentDetail": {
"chargeEach": 123,
"toleranceDays": 123
},
"onlyAutomaticCollection": True,
"templateId": "<string>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
id: '<string>',
data: {
name: '<string>',
url: '<string>',
description: '<string>',
private: true,
active: true,
items: [{conceptId: '<string>', quantity: 123, id: '<string>'}],
form: {
fields: [
{
text: '<string>',
name: '<string>',
order: 1,
required: true,
id: '<string>',
options: [{displayText: '<string>', value: '<string>', order: 123, id: '<string>'}]
}
],
id: '<string>'
},
recurrentDetail: {chargeEach: 123, toleranceDays: 123},
onlyAutomaticCollection: true,
templateId: '<string>'
}
}
})
};
fetch('https://api.quentli.com/v1/listings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quentli.com/v1/listings/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'input' => [
'id' => '<string>',
'data' => [
'name' => '<string>',
'url' => '<string>',
'description' => '<string>',
'private' => true,
'active' => true,
'items' => [
[
'conceptId' => '<string>',
'quantity' => 123,
'id' => '<string>'
]
],
'form' => [
'fields' => [
[
'text' => '<string>',
'name' => '<string>',
'order' => 1,
'required' => true,
'id' => '<string>',
'options' => [
[
'displayText' => '<string>',
'value' => '<string>',
'order' => 123,
'id' => '<string>'
]
]
]
],
'id' => '<string>'
],
'recurrentDetail' => [
'chargeEach' => 123,
'toleranceDays' => 123
],
'onlyAutomaticCollection' => true,
'templateId' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quentli.com/v1/listings/{id}"
payload := strings.NewReader("{\n \"input\": {\n \"id\": \"<string>\",\n \"data\": {\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"description\": \"<string>\",\n \"private\": true,\n \"active\": true,\n \"items\": [\n {\n \"conceptId\": \"<string>\",\n \"quantity\": 123,\n \"id\": \"<string>\"\n }\n ],\n \"form\": {\n \"fields\": [\n {\n \"text\": \"<string>\",\n \"name\": \"<string>\",\n \"order\": 1,\n \"required\": true,\n \"id\": \"<string>\",\n \"options\": [\n {\n \"displayText\": \"<string>\",\n \"value\": \"<string>\",\n \"order\": 123,\n \"id\": \"<string>\"\n }\n ]\n }\n ],\n \"id\": \"<string>\"\n },\n \"recurrentDetail\": {\n \"chargeEach\": 123,\n \"toleranceDays\": 123\n },\n \"onlyAutomaticCollection\": true,\n \"templateId\": \"<string>\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.quentli.com/v1/listings/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"input\": {\n \"id\": \"<string>\",\n \"data\": {\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"description\": \"<string>\",\n \"private\": true,\n \"active\": true,\n \"items\": [\n {\n \"conceptId\": \"<string>\",\n \"quantity\": 123,\n \"id\": \"<string>\"\n }\n ],\n \"form\": {\n \"fields\": [\n {\n \"text\": \"<string>\",\n \"name\": \"<string>\",\n \"order\": 1,\n \"required\": true,\n \"id\": \"<string>\",\n \"options\": [\n {\n \"displayText\": \"<string>\",\n \"value\": \"<string>\",\n \"order\": 123,\n \"id\": \"<string>\"\n }\n ]\n }\n ],\n \"id\": \"<string>\"\n },\n \"recurrentDetail\": {\n \"chargeEach\": 123,\n \"toleranceDays\": 123\n },\n \"onlyAutomaticCollection\": true,\n \"templateId\": \"<string>\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quentli.com/v1/listings/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"input\": {\n \"id\": \"<string>\",\n \"data\": {\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"description\": \"<string>\",\n \"private\": true,\n \"active\": true,\n \"items\": [\n {\n \"conceptId\": \"<string>\",\n \"quantity\": 123,\n \"id\": \"<string>\"\n }\n ],\n \"form\": {\n \"fields\": [\n {\n \"text\": \"<string>\",\n \"name\": \"<string>\",\n \"order\": 1,\n \"required\": true,\n \"id\": \"<string>\",\n \"options\": [\n {\n \"displayText\": \"<string>\",\n \"value\": \"<string>\",\n \"order\": 123,\n \"id\": \"<string>\"\n }\n ]\n }\n ],\n \"id\": \"<string>\"\n },\n \"recurrentDetail\": {\n \"chargeEach\": 123,\n \"toleranceDays\": 123\n },\n \"onlyAutomaticCollection\": true,\n \"templateId\": \"<string>\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"listing": {
"id": "lis_1234567890abcdefghij",
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:00:00.000Z",
"organizationId": "org_1234567890abcdefghij",
"name": "Inscripción 2025",
"description": null,
"url": "inscripcion-2025",
"private": false,
"active": true,
"recurrentDetailId": "<string>",
"templateId": null,
"onlyAutomaticCollection": false,
"items": [],
"form": null,
"recurrentDetail": null
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Catalog
Update listing
Updates a listing by id.
PATCH
/
v1
/
listings
/
{id}
Update listing
curl --request PATCH \
--url https://api.quentli.com/v1/listings/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"id": "<string>",
"data": {
"name": "<string>",
"url": "<string>",
"description": "<string>",
"private": true,
"active": true,
"items": [
{
"conceptId": "<string>",
"quantity": 123,
"id": "<string>"
}
],
"form": {
"fields": [
{
"text": "<string>",
"name": "<string>",
"order": 1,
"required": true,
"id": "<string>",
"options": [
{
"displayText": "<string>",
"value": "<string>",
"order": 123,
"id": "<string>"
}
]
}
],
"id": "<string>"
},
"recurrentDetail": {
"chargeEach": 123,
"toleranceDays": 123
},
"onlyAutomaticCollection": true,
"templateId": "<string>"
}
}
}
'import requests
url = "https://api.quentli.com/v1/listings/{id}"
payload = { "input": {
"id": "<string>",
"data": {
"name": "<string>",
"url": "<string>",
"description": "<string>",
"private": True,
"active": True,
"items": [
{
"conceptId": "<string>",
"quantity": 123,
"id": "<string>"
}
],
"form": {
"fields": [
{
"text": "<string>",
"name": "<string>",
"order": 1,
"required": True,
"id": "<string>",
"options": [
{
"displayText": "<string>",
"value": "<string>",
"order": 123,
"id": "<string>"
}
]
}
],
"id": "<string>"
},
"recurrentDetail": {
"chargeEach": 123,
"toleranceDays": 123
},
"onlyAutomaticCollection": True,
"templateId": "<string>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
id: '<string>',
data: {
name: '<string>',
url: '<string>',
description: '<string>',
private: true,
active: true,
items: [{conceptId: '<string>', quantity: 123, id: '<string>'}],
form: {
fields: [
{
text: '<string>',
name: '<string>',
order: 1,
required: true,
id: '<string>',
options: [{displayText: '<string>', value: '<string>', order: 123, id: '<string>'}]
}
],
id: '<string>'
},
recurrentDetail: {chargeEach: 123, toleranceDays: 123},
onlyAutomaticCollection: true,
templateId: '<string>'
}
}
})
};
fetch('https://api.quentli.com/v1/listings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quentli.com/v1/listings/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'input' => [
'id' => '<string>',
'data' => [
'name' => '<string>',
'url' => '<string>',
'description' => '<string>',
'private' => true,
'active' => true,
'items' => [
[
'conceptId' => '<string>',
'quantity' => 123,
'id' => '<string>'
]
],
'form' => [
'fields' => [
[
'text' => '<string>',
'name' => '<string>',
'order' => 1,
'required' => true,
'id' => '<string>',
'options' => [
[
'displayText' => '<string>',
'value' => '<string>',
'order' => 123,
'id' => '<string>'
]
]
]
],
'id' => '<string>'
],
'recurrentDetail' => [
'chargeEach' => 123,
'toleranceDays' => 123
],
'onlyAutomaticCollection' => true,
'templateId' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quentli.com/v1/listings/{id}"
payload := strings.NewReader("{\n \"input\": {\n \"id\": \"<string>\",\n \"data\": {\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"description\": \"<string>\",\n \"private\": true,\n \"active\": true,\n \"items\": [\n {\n \"conceptId\": \"<string>\",\n \"quantity\": 123,\n \"id\": \"<string>\"\n }\n ],\n \"form\": {\n \"fields\": [\n {\n \"text\": \"<string>\",\n \"name\": \"<string>\",\n \"order\": 1,\n \"required\": true,\n \"id\": \"<string>\",\n \"options\": [\n {\n \"displayText\": \"<string>\",\n \"value\": \"<string>\",\n \"order\": 123,\n \"id\": \"<string>\"\n }\n ]\n }\n ],\n \"id\": \"<string>\"\n },\n \"recurrentDetail\": {\n \"chargeEach\": 123,\n \"toleranceDays\": 123\n },\n \"onlyAutomaticCollection\": true,\n \"templateId\": \"<string>\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.quentli.com/v1/listings/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"input\": {\n \"id\": \"<string>\",\n \"data\": {\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"description\": \"<string>\",\n \"private\": true,\n \"active\": true,\n \"items\": [\n {\n \"conceptId\": \"<string>\",\n \"quantity\": 123,\n \"id\": \"<string>\"\n }\n ],\n \"form\": {\n \"fields\": [\n {\n \"text\": \"<string>\",\n \"name\": \"<string>\",\n \"order\": 1,\n \"required\": true,\n \"id\": \"<string>\",\n \"options\": [\n {\n \"displayText\": \"<string>\",\n \"value\": \"<string>\",\n \"order\": 123,\n \"id\": \"<string>\"\n }\n ]\n }\n ],\n \"id\": \"<string>\"\n },\n \"recurrentDetail\": {\n \"chargeEach\": 123,\n \"toleranceDays\": 123\n },\n \"onlyAutomaticCollection\": true,\n \"templateId\": \"<string>\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quentli.com/v1/listings/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"input\": {\n \"id\": \"<string>\",\n \"data\": {\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"description\": \"<string>\",\n \"private\": true,\n \"active\": true,\n \"items\": [\n {\n \"conceptId\": \"<string>\",\n \"quantity\": 123,\n \"id\": \"<string>\"\n }\n ],\n \"form\": {\n \"fields\": [\n {\n \"text\": \"<string>\",\n \"name\": \"<string>\",\n \"order\": 1,\n \"required\": true,\n \"id\": \"<string>\",\n \"options\": [\n {\n \"displayText\": \"<string>\",\n \"value\": \"<string>\",\n \"order\": 123,\n \"id\": \"<string>\"\n }\n ]\n }\n ],\n \"id\": \"<string>\"\n },\n \"recurrentDetail\": {\n \"chargeEach\": 123,\n \"toleranceDays\": 123\n },\n \"onlyAutomaticCollection\": true,\n \"templateId\": \"<string>\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"listing": {
"id": "lis_1234567890abcdefghij",
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:00:00.000Z",
"organizationId": "org_1234567890abcdefghij",
"name": "Inscripción 2025",
"description": null,
"url": "inscripcion-2025",
"private": false,
"active": true,
"recurrentDetailId": "<string>",
"templateId": null,
"onlyAutomaticCollection": false,
"items": [],
"form": null,
"recurrentDetail": null
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Authorizations
organizationApiKeyoauthAccessToken
Was this page helpful?